#include <sourcemod>
#include <vip_core>

#define VIP_Setclass            "Setclass" //Add to group.ini and the translation file.

public Plugin myinfo =
{
    name        = "[VIP] Setclass (menu)",
    author      = "Na'Vi Rysik5318 |  VIP adaptation by SIRIUS",
    description = "Меню плагiна Set class",
    version     = "0.3",
    url         = "https://hlmod.ru/resources/vip-setclass.2400/"
}

new Handle: g_sc;

public OnPluginStart()
{
    if(VIP_IsVIPLoaded())
    VIP_OnVIPLoaded();

    g_sc = CreateMenu(Handler_sc);
    SetMenuTitle(g_sc, "Змiна КЛАСIВ")
    AddMenuItem(g_sc, "1", "Скаут")
    AddMenuItem(g_sc, "2", "Солдат")
    AddMenuItem(g_sc, "3", "Палій")
    AddMenuItem(g_sc, "4", "Підривник")
    AddMenuItem(g_sc, "5", "Кулеметник")
    AddMenuItem(g_sc, "6", "Iнженер")
    AddMenuItem(g_sc, "7", "Медик")
    AddMenuItem(g_sc, "8", "Снайпер")
    AddMenuItem(g_sc, "9", "Шпигун")
    SetMenuExitBackButton(g_sc, true);
}

public void VIP_OnVIPLoaded()
{
    VIP_RegisterFeature(VIP_Setclass, BOOL, SELECTABLE, OnDisplayItem);//, OnDisplayItem, OnDrawItem);
}

public bool:OnDisplayItem(client, const String:sFeatureName[])
{
    new args;
    OpenMenu(client, args);
    return false;
}

public Action:OpenMenu(client, argc)
{
    DisplayMenu(g_sc, client, MENU_TIME_FOREVER);
    return Plugin_Handled;
}

public Handler_sc(Handle:menu, MenuAction:action, client, slot)
{
    switch (action)
    {
        case MenuAction_Select:
        {
            decl String:info[64];
            GetMenuItem(menu, slot, info, sizeof(info));
         
            if (StrEqual(info, "1"))
            {
                FakeClientCommand(client, "sm_setclass @me scout");
            }
            else if (StrEqual(info, "2"))
            {
                FakeClientCommand(client, "sm_setclass @me soldier");
            }
            else if (StrEqual(info, "3"))
            {
                FakeClientCommand(client, "sm_setclass @me pyro");
            }
            else if (StrEqual(info, "4"))
            {
                FakeClientCommand(client, "sm_setclass @me demoman");
            }
            else if (StrEqual(info, "5"))
            {
                FakeClientCommand(client, "sm_setclass @me heavy");
            }
            else if (StrEqual(info, "6"))
            {
                FakeClientCommand(client, "sm_setclass @me engineer ");
            }
            else if (StrEqual(info, "7"))
            {
                FakeClientCommand(client, "sm_setclass @me medic");
            }
            else if (StrEqual(info, "8"))
            {
                FakeClientCommand(client, "sm_setclass @me sniper");
            }
            else if (StrEqual(info, "9"))
            {
                FakeClientCommand(client, "sm_setclass @me spy");
            }
        }
        case MenuAction_Cancel:
        {
            if(slot == MenuCancel_ExitBack)
            {
                VIP_SendClientVIPMenu(client);
            }
        }
    }
}